Index: /pjproject/trunk/build/vs/pjproject-vs14-api-def.props
===================================================================
--- /pjproject/trunk/build/vs/pjproject-vs14-api-def.props	(revision 5539)
+++ /pjproject/trunk/build/vs/pjproject-vs14-api-def.props	(revision 5539)
@@ -0,0 +1,14 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ImportGroup Label="PropertySheets">
+  </ImportGroup>
+  <PropertyGroup>
+    <!-- 
+     - Set the API Family here:
+     * WinDesktop   (Desktop)
+     * UWP          (UWP)
+     * WinPhone8    (Windows Phone 8)
+    -->
+    <API_Family>WinDesktop</API_Family>
+  </PropertyGroup>
+</Project>
Index: /pjproject/trunk/build/vs/pjproject-vs14-arm-common-defaults.props
===================================================================
--- /pjproject/trunk/build/vs/pjproject-vs14-arm-common-defaults.props	(revision 5539)
+++ /pjproject/trunk/build/vs/pjproject-vs14-arm-common-defaults.props	(revision 5539)
@@ -0,0 +1,22 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ImportGroup Label="PropertySheets">    
+  </ImportGroup>
+  <PropertyGroup Label="UserMacros">
+    <TargetCPU>ARMv7</TargetCPU>
+  </PropertyGroup>
+  <PropertyGroup>
+    <_ProjectFileVersion>14.0.22823.1</_ProjectFileVersion>
+  </PropertyGroup>
+  <ItemDefinitionGroup>
+    <Link>
+      <SubSystem>Console</SubSystem>
+      <TargetMachine>MachineARM</TargetMachine>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemGroup>
+    <BuildMacro Include="TargetCPU">
+      <Value>$(TargetCPU)</Value>
+    </BuildMacro>
+  </ItemGroup>
+</Project>
Index: /pjproject/trunk/build/vs/pjproject-vs14-arm-release-defaults.props
===================================================================
--- /pjproject/trunk/build/vs/pjproject-vs14-arm-release-defaults.props	(revision 5539)
+++ /pjproject/trunk/build/vs/pjproject-vs14-arm-release-defaults.props	(revision 5539)
@@ -0,0 +1,12 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ImportGroup Label="PropertySheets">
+    <Import Project="pjproject-vs14-arm-common-defaults.props" />
+  </ImportGroup>
+  <PropertyGroup Label="UserMacros" />
+  <PropertyGroup>
+    <_ProjectFileVersion>14.0.22823.1</_ProjectFileVersion>
+  </PropertyGroup>
+  <ItemDefinitionGroup />
+  <ItemGroup />
+</Project>
Index: /pjproject/trunk/build/vs/pjproject-vs14-build-targets.targets
===================================================================
--- /pjproject/trunk/build/vs/pjproject-vs14-build-targets.targets	(revision 5539)
+++ /pjproject/trunk/build/vs/pjproject-vs14-build-targets.targets	(revision 5539)
@@ -0,0 +1,9 @@
+<!--This will define targets to override the default ones useful to skipped the target of specific project-->
+<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <Target Name="Build">
+    <Message Text="Skipped project build"></Message>
+  </Target>  
+  <Target Name="Clean">
+    <Message Text="Skipped project clean"></Message>
+  </Target>   
+</Project>
Index: /pjproject/trunk/build/vs/pjproject-vs14-common-config.props
===================================================================
--- /pjproject/trunk/build/vs/pjproject-vs14-common-config.props	(revision 5539)
+++ /pjproject/trunk/build/vs/pjproject-vs14-common-config.props	(revision 5539)
@@ -0,0 +1,64 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ImportGroup Label="PropertySheets">
+    <Import Project="pjproject-vs14-api-def.props" />
+  </ImportGroup>  
+  <Choose>
+    <When Condition="'$(Platform)'=='ARM' ">
+      <PropertyGroup>
+        <API_Family Condition="'$(API_Family)'=='WinDesktop'">UWP</API_Family>
+      </PropertyGroup>
+    </When>
+    <When Condition="'$(Platform)'=='Win32' Or '$(Platform)'=='x64'">
+      <PropertyGroup>
+        <API_Family Condition="'$(API_Family)'=='WinPhone8'">UWP</API_Family>
+      </PropertyGroup>
+    </When>
+  </Choose>
+  <PropertyGroup>    
+    <API_Family Condition="'$(API_Family)'==''">WinDesktop</API_Family>
+    <PreprocessorDef></PreprocessorDef>
+    <DefaultToolset>v140</DefaultToolset>
+  </PropertyGroup>  
+  <Choose>
+    <When Condition="'$(API_Family)'=='WinDesktop'">
+      <PropertyGroup>
+        <BuildToolset>v140</BuildToolset>
+        <PreprocessorDef Condition="'$(Platform)'=='Win32'">WIN32;PJ_WIN32=1;PJ_M_I386=1;</PreprocessorDef>
+        <PreprocessorDef Condition="'$(Platform)'=='x64'">WIN64;PJ_WIN64=1;PJ_M_X86_64=1;</PreprocessorDef>
+      </PropertyGroup>
+    </When>
+    <When Condition="'$(API_Family)'=='UWP'">
+      <PropertyGroup>
+        <BuildToolset>v140</BuildToolset>
+        <PreprocessorDef>PJ_WIN32_UWP;UNICODE;_UNICODE;</PreprocessorDef>
+        <PreprocessorDef Condition="'$(Platform)'=='ARM'">$(PreprocessorDef);PJ_M_ARMV7=1;</PreprocessorDef>
+        <PlatformVersion>10.0.10586.0</PlatformVersion>
+        <MinPlatformVersion>10.0.10240.0</MinPlatformVersion>
+        <AppTypeRev>10.0</AppTypeRev>
+        
+        <WindowsTargetPlatformVersion>$(PlatformVersion)</WindowsTargetPlatformVersion>
+        <WindowsTargetPlatformMinVersion>$(MinPlatformVersion)</WindowsTargetPlatformMinVersion>
+        <AppContainerApplication>true</AppContainerApplication>
+        <ApplicationType>Windows Store</ApplicationType>
+        <ApplicationTypeRevision>$(AppTypeRev)</ApplicationTypeRevision>
+        
+        <TargetPlatformIdentifier>UAP</TargetPlatformIdentifier>
+        <TargetPlatformVersion>$(PlatformVersion)</TargetPlatformVersion>
+        <TargetPlatformMinVersion>$(MinPlatformVersion)</TargetPlatformMinVersion>
+      </PropertyGroup>
+    </When>
+    <When Condition="'$(API_Family)'=='WinPhone8'">
+      <PropertyGroup>
+        <BuildToolset>v110_wp80</BuildToolset>
+        <PreprocessorDef>PJ_WIN32_WINPHONE8;PJ_M_ARMV7=1;UNICODE;_UNICODE;</PreprocessorDef>
+      </PropertyGroup>
+    </When>
+  </Choose>
+  <ItemDefinitionGroup>
+    <ClCompile>
+      <PreprocessorDefinitions>$(PreprocessorDef);%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <MinimalRebuild Condition="'$(API_Family)'=='UWP'">false</MinimalRebuild>
+    </ClCompile>
+  </ItemDefinitionGroup>
+</Project>
Index: /pjproject/trunk/build/vs/pjproject-vs14-common-defaults.props
===================================================================
--- /pjproject/trunk/build/vs/pjproject-vs14-common-defaults.props	(revision 5538)
+++ /pjproject/trunk/build/vs/pjproject-vs14-common-defaults.props	(revision 5539)
@@ -19,4 +19,7 @@
       <WarningLevel>Level4</WarningLevel>
       <CompileAs>Default</CompileAs>
+      <CompileAsWinRT>false</CompileAsWinRT>
+      <PrecompiledHeader>NotUsing</PrecompiledHeader>
+      <SDLCheck>false</SDLCheck>
     </ClCompile>
     <Lib>
@@ -24,5 +27,6 @@
     </Lib>
     <Link>
-      <OutputFile>..\bin\$(ProjectName)-$(TargetCPU)-$(Platform)-vc$(VSVer)-$(Configuration).exe</OutputFile>
+      <OutputFile  Condition="'$(TargetExt)'=='.exe'">..\bin\$(ProjectName)-$(TargetCPU)-$(Platform)-vc$(VSVer)-$(Configuration).exe</OutputFile>
+      <GenerateWindowsMetadata Condition="'$(TargetExt)'=='.lib'">false</GenerateWindowsMetadata>
     </Link>
   </ItemDefinitionGroup>
Index: /pjproject/trunk/build/vs/pjproject-vs14-common-targets.targets
===================================================================
--- /pjproject/trunk/build/vs/pjproject-vs14-common-targets.targets	(revision 5539)
+++ /pjproject/trunk/build/vs/pjproject-vs14-common-targets.targets	(revision 5539)
@@ -0,0 +1,6 @@
+<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <Target Name="CheckAPI">
+    <Message Condition="'$(API_Family)'!='$(PROJ_Target)'" Text="Skipped project build"></Message>
+    <CallTarget Condition="'$(API_Family)'=='$(PROJ_Target)'" Targets="Build"/>
+  </Target>
+</Project>
Index: /pjproject/trunk/build/vs/pjproject-vs14-win32-common-defaults.props
===================================================================
--- /pjproject/trunk/build/vs/pjproject-vs14-win32-common-defaults.props	(revision 5538)
+++ /pjproject/trunk/build/vs/pjproject-vs14-win32-common-defaults.props	(revision 5539)
@@ -1,5 +1,5 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
-  <ImportGroup Label="PropertySheets">
+  <ImportGroup Label="PropertySheets">    
   </ImportGroup>
   <PropertyGroup Label="UserMacros">
@@ -10,7 +10,4 @@
   </PropertyGroup>
   <ItemDefinitionGroup>
-    <ClCompile>
-      <PreprocessorDefinitions>WIN32;PJ_WIN32=1;PJ_M_I386=1;%(PreprocessorDefinitions)</PreprocessorDefinitions>
-    </ClCompile>
     <Link>
       <SubSystem>Console</SubSystem>
Index: /pjproject/trunk/build/vs/pjproject-vs14-win64-common-defaults.props
===================================================================
--- /pjproject/trunk/build/vs/pjproject-vs14-win64-common-defaults.props	(revision 5538)
+++ /pjproject/trunk/build/vs/pjproject-vs14-win64-common-defaults.props	(revision 5539)
@@ -1,5 +1,5 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
-  <ImportGroup Label="PropertySheets">
+  <ImportGroup Label="PropertySheets">    
   </ImportGroup>
   <PropertyGroup Label="UserMacros">
@@ -10,7 +10,4 @@
   </PropertyGroup>
   <ItemDefinitionGroup>
-    <ClCompile>
-      <PreprocessorDefinitions>WIN64;PJ_WIN64=1;PJ_M_X86_64=1;%(PreprocessorDefinitions)</PreprocessorDefinitions>
-    </ClCompile>
     <Link>
       <SubSystem>Console</SubSystem>
